#' Wine quality data of white wine samples from Portugal
#'
#' This dataset is a collection of white "Vinho Verde" wine
#' samples from the north of Portugal. Due to privacy and logistic
#' issues, only physicochemical (inputs) and sensory (the output)
#' variables are available (e.g. there is no data about grape types,
#' wine brand, wine selling price, etc.).
#'
#' @format A data frame with 4898 rows and 12 variables
#' \itemize{
#'   \item fixed acidity.
#'   \item volatile acidity.
#'   \item citric acid.
#'   \item residual sugar.
#'   \item chlorides.
#'   \item free sulfur dioxide.
#'   \item total sulfur dioxide.
#'   \item density.
#'   \item pH.
#'   \item sulphates.
#'   \item alcohol.
#'   \item quality (score between 0 and 10).
#' }
#' @source \url{https://archive.ics.uci.edu/ml/datasets/Wine+Quality}
"winequality"
